#!/bin/bash

# This is my script to run the Synchronet User Monitor on a remote host, with
# the UI displaying automatically on my home desktop.  From the User Monitor,
# you can run the Synchronet Configuration utility, the User Editor, and much
# more.  Now, you can combine all those steps to remotely change one little
# setting down to one easy click (or so)!

# This has been developed and tested on Ubuntu, using OpenSSH and lxterminal.
# lxterminal is a very lightweight X terminal.  Use apt-get install lxterminal
# if it is not installed, on the REMOTE system.

# Also, SSH must be configured for automatic login.

# Author: Gary Perkins (1:393/31) gary.perkins@setxchat.net


HOST="yourhost.foo"     # Replace with your BBS host
USER="youruser"         # Your login ID
SBBSCTRL="/sbbs/ctrl"   # Path to your SBBSCTRL dir. Usually /sbbs/ctrl.
SBBSEXEC="/sbbs/exec"   # Path to your umonitor binary, usually /sbbs/exec.


rsh -Y $USER@$HOST "export SBBSCTRL=$SBBSCTRL ; lxterminal -e $SBBSEXEC/umonitor" &
